package cn.com.ctop.job.bytedance;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
@Slf4j
@SpringBootApplication
@ComponentScan(basePackages = {"cn.com.ctop"})
@Configuration
public class BytedanceJobApplication {
    public static void main(String[] args){

        SpringApplication.run(BytedanceJobApplication.class, args);

        log.info("\n----------------------------------------------------------\n\t" +
                "job service is running\n\t" +
                "----------------------------------------------------------");
    }

}
