package cn.com.ctop.job.bytedance.data.entity;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class ByteDanceNewMaterialReport implements Serializable {
    private Long advertiserId;
    /**
     * 项目ID
     */

    private Long cdpProjectId;
    /**
     * 项目名称
     */

    private String cdpProjectName;
    /**
     * 广告ID
     */

    private Long promotionId;
    /**
     * 广告名称
     */
    private String promotionName;
    private String adPlatformMaterialName;
    private BigDecimal statCost;
    private String materialId;
    private Integer statDatetime;
    //private Integer promotionId;
    //private Integer projectId;
    private Integer showCnt;
    private BigDecimal cpmPlatform;
    private Integer clickCnt;
    private BigDecimal ctr;
    private BigDecimal cpcPlatform;
    private Integer convertCnt;
    private BigDecimal conversionCost;
    private BigDecimal conversionRate;
    private Integer deepConvertCnt;
    private BigDecimal deepConvertCost;
    private BigDecimal deepConvertRate;
    private Integer clickStartCnt;
    private BigDecimal clickStartCost;
    private BigDecimal clickStartRate;
    private Integer downloadFinishCnt;
    private BigDecimal downloadFinishCost;
    private BigDecimal downloadFinishRate;
    private Integer installFinishCnt;
    private BigDecimal installFinishCost;
    private BigDecimal installFinishRate;
    private Integer active;
    private BigDecimal activeCost;
    private BigDecimal activeRate;
    private Integer activeRegister;
    private BigDecimal activeRegisterCost;
    private BigDecimal activeRegisterRate;
    private Integer gameAddiction;
    private BigDecimal gameAddictionCost;
    private BigDecimal gameAddictionRate;
    private Integer attributionNextDayOpenCnt;
    private BigDecimal attributionNextDayOpenCost;
    private BigDecimal attributionNextDayOpenRate;
    private Integer nextDayOpen;
    private Integer activePay;
    private BigDecimal activePayCost;
    private BigDecimal activePayRate;
    private Integer gamePayCount;
    private BigDecimal gamePayCost;
    private Integer attributionGamePay7dCount;
    private BigDecimal attributionGamePay7dCost;
    //private Integer attributionGamePay7dPerCount;
    private Integer inAppUv;
    private Integer inAppDetailUv;
    private Integer inAppCart;
    private Integer inAppPay;
    private Integer inAppOrder;
    private BigDecimal attributionGameInAppLtv1day;
    private BigDecimal attributionGameInAppLtv2days;
    private BigDecimal attributionGameInAppLtv3days;
    private BigDecimal attributionGameInAppLtv4days;
    private BigDecimal attributionGameInAppLtv5days;
    private BigDecimal attributionGameInAppLtv6days;
    private BigDecimal attributionGameInAppLtv7days;
    private BigDecimal attributionGameInAppLtv8days;
    private BigDecimal attributionGameInAppRoi1day;
    private BigDecimal attributionGameInAppRoi2days;
    private BigDecimal attributionGameInAppRoi3days;
    private BigDecimal attributionGameInAppRoi4days;
    private BigDecimal attributionGameInAppRoi5days;
    private BigDecimal attributionGameInAppRoi6days;
    private BigDecimal attributionGameInAppRoi7days;
    private BigDecimal attributionGameInAppRoi8days;
    //private Integer attributionDayActivePayCount;
    //private Integer attributionDayActivePayCost;
    //private Integer attributionDayActivePayRate;
    private Integer activePayIntraDayCount;
    private BigDecimal activePayIntraDayCost;
    private BigDecimal activePayIntraDayRate;
    private String deliveryMode;


    public static String getParamsFields() {
        StringBuilder stringBuilder = new StringBuilder();
        stringBuilder.append("[");
        stringBuilder.append("\"stat_cost\"").append(",");
//        stringBuilder.append("\"material_id\"").append(",");
//        stringBuilder.append("\"stat_datetime\"").append(",");
//        stringBuilder.append("\"promotion_id\"");
//        stringBuilder.append("\"project_id\"");
        stringBuilder.append("\"show_cnt\"").append(",");
        stringBuilder.append("\"cpm_platform\"").append(",");
        stringBuilder.append("\"click_cnt\"").append(",");
        stringBuilder.append("\"ctr\"").append(",");
        stringBuilder.append("\"cpc_platform\"").append(",");
        stringBuilder.append("\"convert_cnt\"").append(",");
        stringBuilder.append("\"conversion_cost\"").append(",");
        stringBuilder.append("\"conversion_rate\"").append(",");
        stringBuilder.append("\"deep_convert_cnt\"").append(",");

        stringBuilder.append("\"deep_convert_cost\"").append(",");
        stringBuilder.append("\"deep_convert_rate\"").append(",");
        stringBuilder.append("\"click_start_cnt\"").append(",");

        stringBuilder.append("\"click_start_cost\"").append(",");
        stringBuilder.append("\"click_start_rate\"").append(",");
        stringBuilder.append("\"download_finish_cnt\"").append(",");
        stringBuilder.append("\"download_finish_cost\"").append(",");
        stringBuilder.append("\"download_finish_rate\"").append(",");

        stringBuilder.append("\"install_finish_cnt\"").append(",");
        stringBuilder.append("\"install_finish_cost\"").append(",");
        stringBuilder.append("\"install_finish_rate\"").append(",");
        stringBuilder.append("\"active\"").append(",");
        stringBuilder.append("\"active_cost\"").append(",");
        stringBuilder.append("\"active_rate\"").append(",");


        stringBuilder.append("\"active_register\"").append(",");
        stringBuilder.append("\"active_register_cost\"").append(",");
        stringBuilder.append("\"active_register_rate\"").append(",");
        stringBuilder.append("\"game_addiction\"").append(",");
        stringBuilder.append("\"game_addiction_cost\"").append(",");
        stringBuilder.append("\"game_addiction_rate\"").append(",");

        stringBuilder.append("\"attribution_next_day_open_cnt\"").append(",");
        stringBuilder.append("\"attribution_next_day_open_cost\"").append(",");
        stringBuilder.append("\"attribution_next_day_open_rate\"").append(",");
        stringBuilder.append("\"next_day_open\"").append(",");
        stringBuilder.append("\"active_pay\"").append(",");
        stringBuilder.append("\"active_pay_cost\"").append(",");

        stringBuilder.append("\"active_pay_rate\"").append(",");
        stringBuilder.append("\"game_pay_count\"").append(",");
        stringBuilder.append("\"game_pay_cost\"").append(",");

        stringBuilder.append("\"attribution_game_pay_7d_count\"").append(",");
        stringBuilder.append("\"attribution_game_pay_7d_cost\"").append(",");

//         stringBuilder.append("\"attribution_game_pay_7d_per_count\"").append(",");

        stringBuilder.append("\"in_app_uv\"").append(",");
        stringBuilder.append("\"in_app_detail_uv\"").append(",");
        stringBuilder.append("\"in_app_cart\"").append(",");
        stringBuilder.append("\"in_app_pay\"").append(",");
        stringBuilder.append("\"in_app_order\"").append(",");
        stringBuilder.append("\"attribution_game_in_app_ltv_1day\"").append(",");

        stringBuilder.append("\"attribution_game_in_app_ltv_2days\"").append(",");
        stringBuilder.append("\"attribution_game_in_app_ltv_3days\"").append(",");
        stringBuilder.append("\"attribution_game_in_app_ltv_4days\"").append(",");
        stringBuilder.append("\"attribution_game_in_app_ltv_5days\"").append(",");
        stringBuilder.append("\"attribution_game_in_app_ltv_6days\"").append(",");
        stringBuilder.append("\"attribution_game_in_app_ltv_7days\"").append(",");
        stringBuilder.append("\"attribution_game_in_app_ltv_8days\"").append(",");
        stringBuilder.append("\"attribution_game_in_app_roi_1day\"").append(",");
        stringBuilder.append("\"attribution_game_in_app_roi_2days\"").append(",");
        stringBuilder.append("\"attribution_game_in_app_roi_3days\"").append(",");
        stringBuilder.append("\"attribution_game_in_app_roi_4days\"").append(",");
        stringBuilder.append("\"attribution_game_in_app_roi_5days\"").append(",");
        stringBuilder.append("\"attribution_game_in_app_roi_6days\"").append(",");
        stringBuilder.append("\"attribution_game_in_app_roi_7days\"").append(",");
        stringBuilder.append("\"attribution_game_in_app_roi_8days\"").append(",");

//        stringBuilder.append("\"attribution_day_active_pay_count\"").append(",");
//        stringBuilder.append("\"attribution_day_active_pay_cost\"").append(",");
//        stringBuilder.append("\"attribution_day_active_pay_rate\"").append(",");

        stringBuilder.append("\"active_pay_intra_day_count\"").append(",");
        stringBuilder.append("\"active_pay_intra_day_cost\"").append(",");
        stringBuilder.append("\"active_pay_intra_day_rate\"");
//        stringBuilder.append("\"delivery_mode\"");

        stringBuilder.append("]");
        return stringBuilder.toString();
    }


}
