package cn.com.ctop.job.bytedance.data.entity;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class BytedanceMaterialReportDaily {
    private Long advertiserId;

    private Long materialId;

    private String imageMode;

    private String inventory;

    private String statDatetime;

    private BigDecimal cost;

    private Integer show;

    private BigDecimal avgShowCost;

    private Integer click;

    private BigDecimal avgClickCost;

    private BigDecimal ctr;

    private Integer convert;

    private BigDecimal convertCost;

    private BigDecimal convertRate;

    private Integer deepConvert;

    private BigDecimal deepConvertCost;

    private BigDecimal deepConvertRate;

    private Integer attributionConvert;

    private BigDecimal attributionConvertCost;

    private Integer attributionDeepConvert;

    private BigDecimal attributionDeepConvertCost;

    private Integer downloadStart;

    private BigDecimal downloadStartCost;

    private BigDecimal downloadStartRate;

    private Integer downloadFinish;

    private BigDecimal downloadFinishCost;

    private BigDecimal downloadFinishRate;

    private Integer clickInstall;

    private Integer installFinish;

    private BigDecimal installFinishCost;

    private BigDecimal installFinishRate;

    private Integer active;

    private BigDecimal activeCost;

    private BigDecimal activeRate;

    private Integer register;

    private BigDecimal activeRegisterCost;

    private BigDecimal activeRegisterRate;

    private BigDecimal activePayAmount;

    private Integer nextDayOpen;

    private BigDecimal nextDayOpenCost;

    private BigDecimal nextDayOpenRate;

    private Integer attributionNextDayOpenCnt;

    private BigDecimal attributionNextDayOpenCost;

    private BigDecimal attributionNextDayOpenRate;

    private Integer gameAddiction;

    private BigDecimal gameAddictionCost;

    private BigDecimal gameAddictionRate;

    private Integer payCount;

    private BigDecimal activePayCost;

    private BigDecimal activePayRate;

    private Integer loanCompletion;

    private BigDecimal loanCompletionCost;

    private BigDecimal loanCompletionRate;

    private Integer preLoanCredit;

    private BigDecimal preLoanCreditCost;

    private Integer loanCredit;

    private BigDecimal loanCreditCost;

    private BigDecimal loanCreditRate;

    private Integer inAppUv;

    private Integer inAppDetailUv;

    private Integer inAppCart;

    private Integer inAppPay;

    private Integer inAppOrder;

    private Integer attributionGamePay7dCount;

    private BigDecimal attributionGamePay7dCost;

    private Integer attributionActivePay7dPerCount;

    private Integer gamePayCost;

    private Integer gamePayCount;

    private Integer phone;

    private Integer form;

    private Integer mapSearch;

    private Integer button;

    private Integer view;

    private Integer download;

    private Integer qq;

    private Integer lottery;

    private Integer vote;

    private Integer message;

    private Integer redirect;

    private Integer shopping;

    private Integer consult;

    private Integer wechat;

    private Integer phoneConfirm;

    private Integer phoneConnect;

    private Integer consultEffective;

    private Integer coupon;

    private Integer couponSinglePage;

    private Integer redirectToShop;

    private Integer poiCollect;

    private Integer poiAddressClick;

    private Integer lubanOrderCnt;

    private BigDecimal lubanOrderStatAmount;

    private BigDecimal lubanOrderRoi;

    private Integer lubanLiveEnterCnt;

    private Integer liveWatchOneMinuteCount;

    private Integer lubanLiveFollowCnt;

    private Integer liveFansClubJoinCnt;

    private Integer lubanLiveCommentCnt;

    private Integer lubanLiveShareCnt;

    private Integer lubanLiveGiftCnt;

    private BigDecimal lubanLiveGiftAmount;

    private Integer lubanLiveSlidecartClickCnt;

    private Integer lubanLiveClickProductCnt;

    private Integer lubanLivePayOrderCount;

    private BigDecimal lubanLivePayOrderStatCost;

    private Integer wechatLoginCount;

    private Integer attributionWechatLogin30dCount;

    private BigDecimal wechatLoginCost;

    private BigDecimal attributionWechatLogin30dCost;

    private Integer wechatFirstPayCount;

    private Integer attributionWechatFirstPay30dCount;

    private BigDecimal wechatFirstPayCost;

    private BigDecimal attributionWechatFirstPay30dCost;

    private BigDecimal wechatFirstPayRate;

    private BigDecimal attributionWechatFirstPay30dRate;

    private BigDecimal wechatPayAmount;

    private BigDecimal attributionWechatPay30dAmount;

    private BigDecimal attributionWechatPay30dRoi;

    private Integer phoneEffective;

    private Integer totalPlay;

    private Integer validPlay;

    private BigDecimal validPlayCost;

    private BigDecimal validPlayRate;

    private Integer play25FeedBreak;

    private Integer play50FeedBreak;

    private Integer play75FeedBreak;

    private Integer play100FeedBreak;

    private BigDecimal averagePlayTimePerPlay;

    private BigDecimal playOverRate;

    private BigDecimal wifiPlayRate;

    private Integer wifiPlay;

    private Long playDurationSum;

    private Integer advancedCreativePhoneClick;

    private Integer advancedCreativeCounselClick;

    private Integer advancedCreativeFormClick;

    private Integer advancedCreativeCouponAddition;

    private Integer advancedCreativeFormSubmit;

    private Integer cardShow;

    private Integer share;

    private Integer comment;

    private Integer like;

    private Integer follow;

    private Integer homeVisited;

    private Integer iesChallengeClick;

    private Integer iesMusicClick;

    private Integer locationClick;

    private Integer messageAction;

    private Integer clickLandingPage;

    private Integer clickShopwindow;

    private Integer clickWebsite;

    private Integer clickDownload;

    private Integer clickCallDy;

    private BigDecimal cpc;

    private BigDecimal cpm;

    private BigDecimal cpa;

    private BigDecimal interactPerCost;

    private BigDecimal convertShowRate;

    private BigDecimal playDuration10sRate;

    private BigDecimal play50FeedBreakRate;

    private BigDecimal play25FeedBreakRate;

    private BigDecimal playDuration5sRate;

    private BigDecimal playDuration2sRate;

    private BigDecimal averagePlayProgress;

    private BigDecimal play100FeedBreakRate;

    private BigDecimal playDuration3sRate;

    private BigDecimal play75FeedBreakRate;

    private BigDecimal playDuration;

    private BigDecimal playDuration3s;

    private BigDecimal playDuration2s;

    private BigDecimal playDuration10s;

    private BigDecimal averageVideoPlay;

    private BigDecimal avgRank;

    private Integer submitCertificationCount;

    private Integer approvalCount;

    private Integer firstOrderCount;

    private Integer firstRentalOrderCount;

    private Integer commuteFirstPayCount;

}