package cn.com.ctop.job.bytedance.data.mapper;

import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;

/**
 * @Description: 广告主小时级别报表信息
 * @Author: jeecg-boot
 * @Date: 2019-09-10
 * @Version: V1.0
 */
public interface BytedanceAdvertiserHourlyReportMapper {

    Integer selectMaxHour(@Param("accountId") Long accountId, @Param("statDate") Integer statDate);

    BigDecimal getCost(@Param("accountId") Long accountId, @Param("statHour") Integer statHour, @Param("statDate") Integer statDate);
}
