package cn.com.ctop.job.bytedance.data.service;

import cn.com.ctop.job.bytedance.data.entity.OauthToken;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * token信息
 *
 * @author jeecg-boot 2021-09-07
 * @version V1.0
 */
public interface IOauthTokenService extends IService<OauthToken> {

    String getByAccountId(Long accountId);

    List<Long> getAgentByTouTiao();

    List<Long> getAllToutiaoAccountIds();

    String getAgentToken(Long accountId);

    List<JSONObject> getAgentTokens();

    List<JSONObject> getByProjectId(Long projectId);
}
