package cn.com.ctop.job.bytedance.data.service.impl;

import cn.com.ctop.job.bytedance.data.mapper.WexinConfigMapper;
import cn.com.ctop.job.bytedance.data.service.IWexinConfigService;
import cn.com.ctop.job.bytedance.data.utils.weixin.WexinConfig;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 企业微信配置信息
 *
 * @author jeecg-boot
 * 2021-06-17
 * @version V1.0
 */
@Service
public class WexinConfigServiceImpl extends ServiceImpl<WexinConfigMapper, WexinConfig> implements IWexinConfigService {

    @Override
    public List<WexinConfig> getAll() {
        return baseMapper.getAll();
    }
}
