package cn.com.ctop.job.bytedance.data.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @Description: 媒体预警发送表
 */
@Data
@TableName("ctop_media_send_alarm_record")
@Accessors(chain = true)
@ApiModel(value = "ctop_media_send_alarm_record对象", description = "媒体预警发送表")
public class MediaSendAlarmRecord {

    @TableId(type = IdType.AUTO)
    private Long id;
    private Long accountId;
    private Long planId;
    private Long projectId;
    private String userId;
    private String alarmDetail;
    private String mediaType;
    /**
     * createTime
     */
    private Date createTime;
    /**
     * updateTime
     */
    private Date updateTime;

    public MediaSendAlarmRecord(Long accountId, String mediaType, String alarmDetail) {
        this.accountId = accountId;
        this.mediaType = mediaType;
        this.alarmDetail = alarmDetail;
    }

    public MediaSendAlarmRecord() {
    }
}
