package cn.com.ctop.job.bytedance.data.enums;

/**
 * 素材类型
 */
public enum InventoryEnum {


    String1("INVENTORY_FEED", "头条信息流"),
    String2("INVENTORY_TEXT_LINK", "头条文章详情页"),
    String3("INVENTORY_VIDEO_FEED", "西瓜信息流"),
    String4("INVENTORY_HOTSOON_FEED", "火山信息流"),
    String5("INVENTORY_AWEME_FEED", "抖音信息流"),
    String6("INVENTORY_UNION_SLOT", "穿山甲"),
    String7("UNION_BOUTIQUE_GAME", "ohayoo精品游戏"),
    String8("INVENTORY_UNION_SPLASH_SLOT", "穿山甲开屏广告"),
    String9("INVENTORY_SEARCH", "搜索广告"),
    String10("INVENTORY_UNIVERSAL", "通投智选"),
    String11("INVENTORY_BEAUTY", "轻颜相机"),
    String12("INVENTORY_PIPIXIA", "皮皮虾"),
    String13("INVENTORY_AUTOMOBILE", "懂车帝"),
    String14("INVENTORY_STUDY", "好好学习"),
    String15("INVENTORY_FACE_U", "faceu"),
    String16("INVENTORY_TOMATO_NOVEL", "番茄小说"),
    String17("INVENTORY_HOMED_AGGREGATE", "住小帮");

    private String code;
    private String name;


    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    private InventoryEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public static String getNameByCode(String code) {
        for (InventoryEnum material : InventoryEnum.values()) {
            if (material.getCode().equals(code)) {
                return material.getName();
            }
        }
        return "-";
    }

}
