package cn.com.ctop.job.bytedance.data.mapper;


import cn.com.ctop.job.bytedance.data.entity.ByteDanceNewMaterialReport;
import cn.com.ctop.job.bytedance.data.entity.BytedanceAdvertiserReportDaily;
import cn.com.ctop.job.bytedance.data.entity.BytedanceV3ProjectReportDaily;
import cn.com.ctop.job.bytedance.data.entity.BytedanceV3PromotionProjectReportDaily;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface BytedanceAdvertiserReportDailyMapper {


    int insert(@Param("list") List<BytedanceAdvertiserReportDaily> list);

    void insertV3Project(@Param("list") List<BytedanceV3ProjectReportDaily> dailyList);

    void insertV3PromotionProject(@Param("list") List<BytedanceV3PromotionProjectReportDaily> dailyList);

    void insertV3PromotionProjectVideo(@Param("list") List<ByteDanceNewMaterialReport> videolist);

    void insertV3PromotionProjectImage(@Param("list") List<ByteDanceNewMaterialReport> imageList);

    void insertPosition(@Param("list") List<BytedanceAdvertiserReportDaily> list);

    void insertV3PromotionProjectHour(@Param("list") List<BytedanceV3PromotionProjectReportDaily> hourlyList);
}