package cn.com.ctop.job.bytedance.data.mapper;


import cn.com.ctop.job.bytedance.data.entity.BytedanceCdpProject;
import cn.com.ctop.job.bytedance.data.entity.MediaSendAlarmRecord;
import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface BytedanceProjectMapper {

    Long getProjectId(@Param("accountId") Long accountId);

    int replaceProjectList(@Param("list") List<BytedanceCdpProject> list);

    List<JSONObject> getWChatIdsByAccountId(@Param("accountId") Long accountId);

    void insertSendRecord(MediaSendAlarmRecord record);

    List<Long> getBytedanceRefusalSend(@Param("accountId") Long accountId);

    List<Long> getSpecialProject();

    void insertSendAccountId(@Param("accountId") Long accountId, @Param("adId") Long adId, @Param("counts") Integer counts);

    Integer getrefusalAccountCounts(@Param("accountId") Long accountId, @Param("adId") Long adId);
}