package cn.com.ctop.job.bytedance.data.mapper;

import cn.com.ctop.job.bytedance.data.entity.OauthToken;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * token信息
 *
 * @author jeecg-boot 2021-09-07
 * @version V1.0
 */
public interface OauthTokenMapper extends BaseMapper<OauthToken> {
    String getByAccountId(@Param("accountId") Long accountId);

    List<Long> getAgentByTouTiao();

    List<Long> getAllToutiaoAccountIds();

    String getAgentToken(@Param("agentId") Long agentId);

    List<JSONObject> getAgentTokens();

    List<JSONObject> getByProjectId(@Param("projectId") Long projectId);

    JSONObject getProjectByAccountId(@Param("accountId") Long accountId);

    List<JSONObject> getBytedanceOcpxTypeList();
}
