package cn.com.ctop.job.bytedance.data.service;

import cn.com.ctop.job.bytedance.data.entity.OauthToken;
import com.alibaba.fastjson.JSONObject;

import java.util.Map;

/**
 * @author jeecg-boot
 */
public interface IByteDanceAdvertiserDataService {


    Map<String, Object> getAdvertiserPlan(OauthToken token, String ids, String date, String updateDate);

    void getAdvertiserPlanReport(OauthToken token, String startDate, String endDate, String bytedanceReportTypePL);

    void getAdvertiserReport(OauthToken oauthToken, String yesterda, String yesterda1, String bytedanceReportTypeDaily);

    void getPositionAdvertiserReport(OauthToken oauthToken, String yesterda, String yesterda1, String bytedanceReportTypeDaily);

    void getAgentReport(JSONObject oauthToken, String startDate, String endDate);

    void getV3AdvertiserConfig(OauthToken oauthToken);

    void getV3AdvertiserReport(OauthToken oauthToken, String startDate, String endDate, String bytedanceReportTypeHourly);

    /**
     * V3 广告报表
     */
    void getV3PromotionProjectReport(OauthToken oauthToken, String startDate, String endDate, String bytedanceReportTypeHourly);

    /**
     * V3 素材报表
     */
    void getV3PromotionMaterialReport(OauthToken oauthToken,String startDate, String endDate, String bytedanceReportTypeHourly);
}
